#if !defined(AFX_DLGINTELLIGENTHIGHSET_H__7899AA47_3684_4834_BF45_C08F02BD5EF8__INCLUDED_)
#define AFX_DLGINTELLIGENTHIGHSET_H__7899AA47_3684_4834_BF45_C08F02BD5EF8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgIntelligentHighSet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDlgSmartHighSet dialog

class CDlgSmartHighSet : public CDialog
{
// Construction
public:
	void GetBackParam();
	CDlgSmartHighSet(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDlgSmartHighSet)
	enum { IDD = IDD_DLG_SMHIGHSET };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgSmartHighSet)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgSmartHighSet)
	virtual BOOL OnInitDialog();
	afx_msg void OnBtnGetrule();
	afx_msg void OnBtnSetrule();
	afx_msg void OnBtnDefault();
	afx_msg void OnBtnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGINTELLIGENTHIGHSET_H__7899AA47_3684_4834_BF45_C08F02BD5EF8__INCLUDED_)
